package com.cocos.remoterender.client.lib;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import android.annotation.SuppressLint;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import com.cocos.aidl.ICocosBinderFactory;
import com.cocos.aidl.ICocosBinderFactoryCallback;
import com.cocos.aidl.ICocosRemoteRender;
import com.cocos.remoterender.client.lib.a;
import com.cocos.remoterender.client.lib.b;
import com.cocos.remoterender.client.none.e;
import com.cocos.remoterender.client.none.f;
import com.cocos.remoterender.client.none.g;
import com.cocos.remoterender.client.none.h;
import com.cocos.remoterender.client.none.i;
import java.lang.ref.WeakReference;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

public class CocosRemoteRenderClient {
  public static final String E = "CocosRemoteRenderClient";
  
  public static final String F = "com.cocos.remoterender.ENGINE_LAUNCHED";
  
  public static final String G = "com.cocos.remoterender.ENGINE_SHUTDOWN";
  
  public static final String H = "请启动 RenderService 服务端 apk，授权 SD 卡权限";
  
  public static final int GL_TEXTURE_MAG_FILTER = 10240;
  
  public static final int GL_TEXTURE_MIN_FILTER = 10241;
  
  public static final int GL_NEAREST = 9728;
  
  public static final int GL_LINEAR = 9729;
  
  public static final AtomicInteger I = new AtomicInteger(0);
  
  public CocosRemoteRenderClient(Context paramContext) {
    this
      .a = new AtomicBoolean(false);
    this.b = new AtomicBoolean(false);
    this.f = false;
    this.h = "";
    this.i = -1;
    this.j = 0;
    this.k = 0;
    this.p = false;
    this.q = false;
    this.r = false;
    this.s = new AtomicBoolean(false);
    this.t = false;
    this.u = false;
    this.w = new Handler(Looper.getMainLooper());
    this.x = "com.cocos.remoterender.server";
    this.A = (View.OnTouchListener)new b(this);
    this.B = (b.b)new c(this);
    this.C = (ServiceConnection)new e(this);
    this.D = (e)new f(this);
    this.g = paramContext;
    this.i = I.addAndGet(1);
    Log.i("CocosRemoteRenderClient", "[Render Service Client Version]: " + getVersion() + ", " + getChannelName() + ", " + getChannelVersion());
  }
  
  public static String getVersion() {
    return "0.9.5";
  }
  
  public static String getChannelName() {
    return "common";
  }
  
  public static String getChannelVersion() {
    return "1";
  }
  
  public static void setEngineLifecycleCallback(Context paramContext, IEngineLifecycleCallback paramIEngineLifecycleCallback) {
    IntentFilter intentFilter;
    if (paramIEngineLifecycleCallback != null) {
      d d;
      K = new WeakReference<>(paramIEngineLifecycleCallback);
      this();
      (new IntentFilter()).addAction("com.cocos.remoterender.ENGINE_LAUNCHED");
      (new IntentFilter()).addAction("com.cocos.remoterender.ENGINE_SHUTDOWN");
      this();
      L = (BroadcastReceiver)new d();
      paramContext.registerReceiver((BroadcastReceiver)d, intentFilter);
    } else {
      if (intentFilter != null) {
        BroadcastReceiver broadcastReceiver;
        if ((broadcastReceiver = L) != null)
          intentFilter.unregisterReceiver(broadcastReceiver); 
      } 
      L = null;
    } 
  }
  
  public static void setOnScriptEventListener(OnScriptEventListener paramOnScriptEventListener) {
    M = paramOnScriptEventListener;
  }
  
  public static void setOnScriptReturnListener(OnScriptReturnListener paramOnScriptReturnListener) {
    N = paramOnScriptReturnListener;
  }
  
  public static void sendToScript(String paramString1, String paramString2, String paramString3, byte[] paramArrayOfbyte, long paramLong) {
    g g;
    if ((g = J.get(paramString1)) != null && g.c() > 0 && g.b() != null)
      try {
        g.b().sendToScript(paramString2, paramString3, paramArrayOfbyte, paramLong);
      } catch (RemoteException remoteException) {
        null.printStackTrace();
      }  
  }
  
  public static void returnToScript(String paramString1, String paramString2, byte[] paramArrayOfbyte, long paramLong) {
    g g;
    if ((g = J.get(paramString1)) != null && g.c() > 0 && g.b() != null)
      try {
        g.b().returnToScript(paramString2, paramArrayOfbyte, paramLong);
      } catch (RemoteException remoteException) {
        null.printStackTrace();
      }  
  }
  
  public void setCallback(ICallback paramICallback) {
    this.n = paramICallback;
  }
  
  public void setOnHardwareBufferUpdatedListener(OnHardwareBufferListener paramOnHardwareBufferListener) {
    this.o = paramOnHardwareBufferListener;
  }
  
  public int getClientId() {
    return this.i;
  }
  
  public void setUuid(String paramString) {
    this.h = paramString;
  }
  
  public String getUuid() {
    return this.h;
  }
  
  public void configureRenderService(String paramString1, String paramString2, String paramString3) {
    this.x = paramString1;
    this.y = paramString2;
    this.z = paramString3;
  }
  
  public String getRenderServiceFullClassName() {
    return this.y;
  }
  
  public String getRenderServiceConfigName() {
    return this.z;
  }
  
  public void setUseTextureView(boolean paramBoolean) {
    this.p = paramBoolean;
  }
  
  public void setRenderViewTranslucent(boolean paramBoolean) {
    this.q = paramBoolean;
  }
  
  public void setRenderViewTouchEnabled(boolean paramBoolean) {
    this.r = paramBoolean;
  }
  
  public void setTextureFilterParameter(int paramInt1, int paramInt2) {
    if (paramInt1 != 10241 && paramInt1 != 10240) {
      Log.e("CocosRemoteRenderClient", "Invalid filter param: " + paramInt1);
      return;
    } 
    if (paramInt2 != 9729 && paramInt2 != 9728) {
      Log.e("CocosRemoteRenderClient", "Invalid filter type: " + paramInt2);
      return;
    } 
    if (this.v == null) {
      HashMap<Object, Object> hashMap;
      this();
      this.v = (Map)hashMap;
    } 
    Integer integer = Integer.valueOf(paramInt1);
    this.v.put(this, Integer.valueOf(paramInt2));
  }
  
  @SuppressLint({"ClickableViewAccessibility"})
  public boolean start() {
    if (this.s.get()) {
      Log.e("CocosRemoteRenderClient", "client was stopped");
      return false;
    } 
    if (this.t) {
      Log.e("CocosRemoteRenderClient", "client has already started");
      return false;
    } 
    if (!s()) {
      Log.e("CocosRemoteRenderClient", "start failed, it's not ready!");
      return false;
    } 
    this.t = true;
    Log.i("CocosRemoteRenderClient", "start, mIsUseTextureView=" + this.p + ", mIsViewTranslucent=" + this.q + ", mIsViewTouchEnabled=" + this.r);
    this.d = new a(this);
    if (this.o == null)
      if (this.p) {
        this.l = i();
      } else {
        this.l = h();
      }  
    f();
    return true;
  }
  
  public View getView() {
    return (View)this.l;
  }
  
  public void pause() {
    this.u = true;
    h h1;
    if ((h1 = this.l) != null)
      h1.d(); 
    ICocosRemoteRender iCocosRemoteRender;
    if ((iCocosRemoteRender = this.c) != null)
      try {
        pause();
      } catch (RemoteException remoteException) {
        null.printStackTrace();
      }  
  }
  
  public void resume() {
    ICocosRemoteRender iCocosRemoteRender;
    if ((iCocosRemoteRender = this.c) != null)
      try {
        iCocosRemoteRender.resume();
      } catch (RemoteException remoteException) {
        null.printStackTrace();
      }  
    h h1;
    if ((h1 = this.l) != null)
      h1.a(); 
    this.u = false;
  }
  
  public boolean stop() {
    if (this.s.get()) {
      Log.e("CocosRemoteRenderClient", "stop, client was stopped");
      return false;
    } 
    if (!this.t) {
      Log.e("CocosRemoteRenderClient", "stop, client was not started");
      return false;
    } 
    this.s.set(true);
    t();
    u();
    this.e = null;
    if (this.g != null) {
      Log.d("CocosRemoteRenderClient", "stop, unbindService, clientId=" + this.i);
      k();
    } else {
      Log.w("CocosRemoteRenderClient", "stop failed, clientId=" + this.i + ", mContext=" + this.g);
    } 
    this.w.removeCallbacksAndMessages(null);
    h h1;
    if ((h1 = this.l) != null) {
      h1.b();
      this.l = null;
    } 
    this.D = null;
    a a1;
    if ((a1 = this.d) != null) {
      a1.d();
      this.d = null;
    } 
    this.n = null;
    b b1;
    if ((b1 = this.m) != null) {
      b1.a(null);
      this.m.a(null);
      this.m = null;
    } 
    this.o = null;
    this.g = null;
    return true;
  }
  
  public final void u() {
    ICocosRemoteRender iCocosRemoteRender1;
    if ((iCocosRemoteRender1 = this.c) != null)
      try {
        iCocosRemoteRender1.stop();
      } catch (RemoteException remoteException) {
        null.printStackTrace();
        this.c = null;
      }  
    ICocosBinderFactory iCocosBinderFactory;
    ICocosRemoteRender iCocosRemoteRender2;
    if ((iCocosBinderFactory = this.e) != null && (iCocosRemoteRender2 = this.c) != null)
      try {
        iCocosBinderFactory.destroyInstance(iCocosRemoteRender2);
      } catch (RemoteException remoteException) {
        null.printStackTrace();
      }  
    this.c = null;
  }
  
  public final boolean s() {
    return (this.g != null && !TextUtils.isEmpty(this.y) && !TextUtils.isEmpty(this.z));
  }
  
  public final h i() {
    this(this.g);
    g.setEGLWindowSurfaceFactory(this.D);
    g.setEGLContextClientVersion(2);
    g.setPreserveEGLContextOnPause(true);
    g g;
    (g = new g()).setOpaque(this.q ^ true);
    if (this.q) {
      g.a(8, 8, 8, 8, 0, 0);
    } else {
      g.a(8, 8, 8, 0, 0, 0);
    } 
    this();
    this.m = b1;
    b b1;
    (b1 = new b()).a((b.a)this.d);
    this.m.a(this.B);
    this.m.a(this.v);
    g.setRenderer((i)this.m);
    if (this.r)
      g.setOnTouchListener(this.A); 
    g.setRenderMode(0);
    return (h)g;
  }
  
  public final h h() {
    this(this.g);
    f f;
    (f = new f()).setEGLWindowSurfaceFactory(this.D);
    (new f()).setEGLContextClientVersion(2);
    (new f()).setPreserveEGLContextOnPause(true);
    if (this.q) {
      f.getHolder().setFormat(-3);
      f.a(8, 8, 8, 8, 0, 0);
      f.setZOrderOnTop(true);
    } else {
      f.a(8, 8, 8, 0, 0, 0);
      f.setZOrderOnTop(false);
    } 
    this();
    this.m = b1;
    b b1;
    (b1 = new b()).a((b.a)this.d);
    this.m.a(this.B);
    this.m.a(this.v);
    f.setRenderer((i)this.m);
    if (this.r)
      f.setOnTouchListener(this.A); 
    f.setRenderMode(0);
    return (h)f;
  }
  
  public final void t() {
    Map<String, g> map;
    g g;
    if ((g = (map = J).get(this.y)) != null) {
      g.d();
      if (g.c() == 0) {
        Log.i("CocosRemoteRenderClient", "All clients connected to (" + this.y + ") are disconnected!");
        map.remove(this.y);
      } 
    } else {
      Log.e("CocosRemoteRenderClient", "Could not find factory");
    } 
  }
  
  public final void f() {
    if (this.b.get()) {
      Log.w("CocosRemoteRenderClient", "bindService, already binding ...");
      return;
    } 
    this.b.set(true);
    this.w.post(this::j);
  }
  
  public final void g() {
    if (this.b.get()) {
      Log.w("CocosRemoteRenderClient", "bindServiceWidthDelay, already binding ...");
      return;
    } 
    this.b.set(true);
    this.w.postDelayed(this::j, 2000L);
  }
  
  public final void j() {
    boolean bool = false;
    if (this.a.get()) {
      Log.w("CocosRemoteRenderClient", "Service was bound!");
    } else if (this.g == null) {
      Log.e("CocosRemoteRenderClient", "doBindService, mContext is null, clientId=" + this.i);
    } else {
      Intent intent;
      this();
      String str = this.x;
      (new Intent()).setComponent(new ComponentName(str, this.y));
      try {
        bool = this.g.bindService(intent, this.C, 1);
      } catch (SecurityException securityException) {
        null.printStackTrace();
      } 
      if (!bool)
        Log.d("CocosRemoteRenderClient", "bindService returns: false, mClientId=" + this.i); 
    } 
    this.b.set(false);
    if (!bool) {
      k();
      this.a.set(false);
      g();
    } 
  }
  
  public final void k() {
    Context context;
    if ((context = this.g) != null)
      try {
        context.unbindService(this.C);
      } catch (Exception exception) {
        null.printStackTrace();
      }  
  }
  
  public OnHardwareBufferListener n() {
    return this.o;
  }
  
  public boolean r() {
    return this.u;
  }
  
  public h p() {
    return this.l;
  }
  
  public b q() {
    return this.m;
  }
  
  public ICocosRemoteRender o() {
    return this.c;
  }
  
  public ICallback l() {
    return this.n;
  }
  
  public Handler m() {
    return this.w;
  }
  
  public void configureRenderService(String paramString1, String paramString2) {
    this.y = paramString1;
    this.z = paramString2;
  }
  
  public void configureRenderService(String paramString) {
    configureRenderService(paramString, "default");
  }
  
  public final void a(String paramString) {
    k();
    ICallback iCallback;
    if ((iCallback = this.n) != null)
      iCallback.onRenderServiceError(this, paramString); 
  }
  
  public static final Map<String, g> J = new ConcurrentHashMap<>();
  
  public static WeakReference<IEngineLifecycleCallback> K;
  
  public static BroadcastReceiver L;
  
  public static OnScriptEventListener M;
  
  public static OnScriptReturnListener N;
  
  public static final ICocosBinderFactoryCallback O = (ICocosBinderFactoryCallback)new a();
  
  public final AtomicBoolean a;
  
  public final AtomicBoolean b;
  
  public ICocosRemoteRender c;
  
  public a d;
  
  public ICocosBinderFactory e;
  
  public boolean f;
  
  public Context g;
  
  public String h;
  
  public int i;
  
  public int j;
  
  public int k;
  
  public h l;
  
  public b m;
  
  public ICallback n;
  
  public OnHardwareBufferListener o;
  
  public boolean p;
  
  public boolean q;
  
  public boolean r;
  
  public final AtomicBoolean s;
  
  public boolean t;
  
  public boolean u;
  
  public Map<Integer, Integer> v;
  
  public final Handler w;
  
  public String x;
  
  public String y;
  
  public String z;
  
  public final View.OnTouchListener A;
  
  public final b.b B;
  
  public final ServiceConnection C;
  
  public e D;
}
